import {Commands} from "./index"
import {describe, expect, test} from "@jest/globals"
import {InMemoryDatabase} from "../database/inmemory/database.js"

describe("command definitions", () => {
    test("has no descriptions over 100 characters", () => {
        const db = new InMemoryDatabase()
        expect(new Commands({users: db.users, cleanUp: async () => undefined}).definitions)
            .not
            .toContain(expect.objectContaining({"description": expect.stringMatching(/.{101,}/)}))
    })
})